package com.scpyun.platform.jilinsscgsdp.bean.vo;

import com.scpyun.base.bean.User;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Update;

import javax.validation.constraints.NotEmpty;
import java.util.Date;

public class EventApproveVo {

    private String id;
    private String event_id;
    private String approve_type;
    private String approve_time;
    private String approve_desc;
    private String approve_days;
    private String create_by;
    private String deal_result;
    private String deal_user;
    private String deal_time;
    private String deal_desc;
    private String data_type;
    private String deal_user_id;
    private User _user;
    private String event_code;
    private String company_name;

    public String getCompany_name() {
        return company_name;
    }

    public void setCompany_name(String company_name) {
        this.company_name = company_name;
    }

    public String getEvent_code() {
        return event_code;
    }

    public void setEvent_code(String event_code) {
        this.event_code = event_code;
    }

    public String getDeal_user_id() {
        return deal_user_id;
    }

    public void setDeal_user_id(String deal_user_id) {
        this.deal_user_id = deal_user_id;
    }

    public User get_user() {
        return _user;
    }

    public void set_user(User _user) {
        this._user = _user;
    }

    public String getData_type() {
        return data_type;
    }

    public void setData_type(String data_type) {
        this.data_type = data_type;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getEvent_id() {
        return event_id;
    }

    public void setEvent_id(String event_id) {
        this.event_id = event_id;
    }

    public String getApprove_type() {
        return approve_type;
    }

    public void setApprove_type(String approve_type) {
        this.approve_type = approve_type;
    }

    public String getApprove_time() {
        return approve_time;
    }

    public void setApprove_time(String approve_time) {
        this.approve_time = approve_time;
    }

    public String getApprove_desc() {
        return approve_desc;
    }

    public void setApprove_desc(String approve_desc) {
        this.approve_desc = approve_desc;
    }

    public String getApprove_days() {
        return approve_days;
    }

    public void setApprove_days(String approve_days) {
        this.approve_days = approve_days;
    }

    public String getCreate_by() {
        return create_by;
    }

    public void setCreate_by(String create_by) {
        this.create_by = create_by;
    }

    public String getDeal_result() {
        return deal_result;
    }

    public void setDeal_result(String deal_result) {
        this.deal_result = deal_result;
    }

    public String getDeal_user() {
        return deal_user;
    }

    public void setDeal_user(String deal_user) {
        this.deal_user = deal_user;
    }

    public String getDeal_time() {
        return deal_time;
    }

    public void setDeal_time(String deal_time) {
        this.deal_time = deal_time;
    }

    public String getDeal_desc() {
        return deal_desc;
    }

    public void setDeal_desc(String deal_desc) {
        this.deal_desc = deal_desc;
    }
}